com.io7m.jcanephora.cursors

## Class JCGLDepth24S8ByteBuffered

- java.lang.Object
- - com.io7m.jcanephora.cursors.JCGLDepth24S8ByteBuffered

- All Implemented Interfaces:
    JCGLDepth24S8ReadableType, JCGLDepth24S8Type, JCGLDepth24S8WritableType, com.io7m.jpra.runtime.java.JPRAValueType

      public final class JCGLDepth24S8ByteBuffered
      extends Object
      implements JCGLDepth24S8Type

  A `ByteBuffer` based implementation of the `JCGLDepth24S8` packed type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDepth()`
    `int` | `getDepthRaw()`
    `static JCGLDepth24S8Type` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static JCGLDepth24S8Type` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `set(double depth)` Set the value of all fields.
    `void` | `setDepth(double x)` Set the value of the `depth` field.
    `void` | `setDepthRaw(int x)` Set the value of the `depth` field.
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static JCGLDepth24S8Type newValueWithOffset(ByteBuffer in_buffer,
                                                             com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                             int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static JCGLDepth24S8Type newValue(ByteBuffer in_buffer,
                                                   com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### getDepthRaw

          public int getDepthRaw()

      Specified by:
        `getDepthRaw` in interface `JCGLDepth24S8ReadableType`
      Returns:
        The value of the `depth` field

    - #### setDepthRaw

          public void setDepthRaw(int x)

      Description copied from interface: `JCGLDepth24S8WritableType`
      Set the value of the `depth` field. The 24 least significant bits of `x` will be used.
      Specified by:
        `setDepthRaw` in interface `JCGLDepth24S8WritableType`
      Parameters:
        `x` - The new value

    - #### getDepth

          public double getDepth()

      Specified by:
        `getDepth` in interface `JCGLDepth24S8ReadableType`
      Returns:
        The value of the `depth` field

    - #### setDepth

          public void setDepth(double x)

      Description copied from interface: `JCGLDepth24S8WritableType`
      Set the value of the `depth` field.
      Specified by:
        `setDepth` in interface `JCGLDepth24S8WritableType`
      Parameters:
        `x` - The new value (in the range `[0, 1]`)

    - #### set

          public void set(double depth)

      Description copied from interface: `JCGLDepth24S8WritableType`
      Set the value of all fields.
      Specified by:
        `set` in interface `JCGLDepth24S8WritableType`
      Parameters:
        `depth` - The value for field `depth`

Copyright © 2016 <code@io7m.com> http://io7m.com